# Logy
Mountable Rails Engine for viewing paginated logs from a browser

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'logy'
```

And then execute:
```bash
$ bundle
```

Mount Engine:

`config/routes.rb`
```ruby
Rails.application.routes.draw do
  mount Logy::Engine => '/logy'
end
```

Add custom directory logs path to the rails in config/environments or leave it unspecified to use default by rails.
```ruby
config.logs_path = Struct.new(:log_dir).new
config.logs_path = File.expand_path('/log')
```

Look up on `/logy` route.

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
